Ubuntu 9.10下搭建基于PostgreSQL的Redmine(下)


上面提到我在Ubuntu 9.10下安装Redmine惜败于最后一步的经历。
在好好休息了一晚并在第二天中午享用了一顿丰盛的午餐之后,我决定再次挑战。
而线索就是我在Ubuntu Wiki上找到的这么一句:

RubyGems

The standard package manager for Ruby libraries and applications. Similar to apt-get, yum, emerge etc. but for Ruby apps only. It is packaged for debian/ubuntu (rubygems), but apt-get is still the recommended installation method for most ruby packages.

看来Ubuntu并不推荐使用RubyGems,而我却一直在Gems上努力。
所以我删除了与Ruby有关的一切

$ sudo apt-get remove ruby
$ sudo apt-get autoremove

并且使用新立得软件管理器重新安装。
首先搜索rake,连带安装了ruby1.8。
rake

然后搜索rubygems,选择rubygems以及它们的关联软件一起安装。
rubygems

最后当我搜索ruby postgresql后,出现了libdbd-pg-ruby1.8,选中并安装。
pg-ruby

当新立得即将开始下载安装时,应该会发现以下软件将被安装:

libdbd-pg-ruby1.8
libdbi-ruby1.8
libdeprecated-ruby1.8
libpgsql-ruby1.8
rake
ruby
ruby1.8
irb1.8
libreadline-ruby1.8
rdoc1.8
rubygems
rubygems1.8

当我再次执行rake配置数据库时,终于问题解决了。
如果你也顺利的进行的话,你应该看到下面的画面。
Screenshot-mrbear@mrbear-laptop: ~-redmine-0.8.5-1

根据Redmine.org的安装推荐,我还执行了下面的命令。

$ rake --trace redmine:load_default_data RAILS_ENV="production"

并选择了zh。
Screenshot-mrbear@mrbear-laptop: ~-redmine-0.8.5-2
当我最后执行

$ ruby script/server webrich -e production

并在Firefox中输入http://localhost:3000之后,我终于看到了Redmine的界面。

Tagged on: , , ,

One thought on “Ubuntu 9.10下搭建基于PostgreSQL的Redmine(下)

发表评论

电子邮件地址不会被公开。